Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454120

Summary: Review Request: vdr-streamdev - Streaming client/server package for VDR
Product: [Fedora] Fedora Reporter: Felix Kaechele <felix>
Component: Package ReviewAssignee: Ville Skyttä <ville.skytta>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, huzaifas, notting, ville.skytta
Target Milestone: ---Flags: ville.skytta: fedora-review+
huzaifas: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-01 06:38:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Felix Kaechele 2008-07-04 21:01:10 UTC
Spec URL: http://felix.fetzig.org/rpms/review/vdr-streamdev.spec
SRPM URL: http://felix.fetzig.org/rpms/review/vdr-streamdev-0.3.4-1.fc9.src.rpm
Description: The streamdev plugin adds streaming capabilities to your VDR.

rpmlint was silent on this one.

- This is my first package. Therefor I need a sponsor.
- I have several other VDR Packages built with similar specfiles. If this one passes review I'll submit them too. Otherwise I alter them according to your feedback.

Comment 1 Felix Kaechele 2008-07-04 21:44:36 UTC
I've just tested the SRPM with koji and it builds on all archs.
See http://koji.fedoraproject.org/koji/taskinfo?taskID=697166

Comment 2 Tom "spot" Callaway 2008-07-21 18:51:26 UTC
FWIW, I see no legal holdups here. This package isn't encoding/decoding
anything, and it builds off the existing VDR support. libdvbmpeg relies on
hardware to perform MPEG functionality, so it is fine.

Comment 3 Ville Skyttä 2008-08-25 08:04:52 UTC
License (GPLv2) does not look correct to me.  The streamdev sources just refer to COPYING without specifying a GPL version which makes them GPL+, and libdvbmpeg is GPLv2+.  I suppose "License: GPL+ and GPLv2+" would be correct.  Upstream probably meant the whole shebang to be GPLv2+, I'm sure they would appreciate being notified.

The iconv stuff in %prep appears unnecessary, all those files are US-ASCII.

"Requires: vdr(abi) ..." should be moved to the -server and -client packages as the "main" package does not produce a binary rpm and -server and -client currently do not have a dependency on vdr.

vdr-streamdev-server.conf says "vdr-streamdev" and "streamdev", should probably be changed to "vdr-streamdev-server" and "streamdev-server".

Other than that, looks good, I'll complete the review when I have the chance to try the binaries - I've just built the package and looked at the sources for now.

Comment 4 Felix Kaechele 2008-08-30 18:13:57 UTC
I've incorporated the suggestions. See:
Spec URL: http://felix.fetzig.org/rpms/review/vdr-streamdev.spec
SRPM URL: http://felix.fetzig.org/rpms/review/vdr-streamdev-0.3.4-2.fc9.src.rpm

Comment 5 Ville Skyttä 2008-09-06 17:13:08 UTC
Looks good, works, approved.  Feel free to proceed with the account procedure, I'll sponsor you.

One more tiny non-blocker note: "Requires: vdr(abi) = %{apiver}" is not needed in the main package because there's no main binary package, only -server and -client subpackages.  No need to submit a new one for this, feel free to fix it before the first build in CVS if you like.

Comment 6 Felix Kaechele 2008-09-12 05:19:34 UTC
New Package CVS Request
=======================
Package Name: vdr-streamdev
Short Description: Streaming plugin for VDR
Owners: heffer
Branches: F-8 F-9
InitialCC:

Comment 7 Huzaifa S. Sidhpurwala 2008-09-12 05:50:46 UTC
cvs done

Comment 8 Fedora Update System 2008-09-12 07:51:29 UTC
vdr-streamdev-0.3.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/vdr-streamdev-0.3.4-2.fc9

Comment 9 Fedora Update System 2008-09-12 08:03:46 UTC
vdr-streamdev-0.3.4-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/vdr-streamdev-0.3.4-2.fc8

Comment 10 Fedora Update System 2008-09-14 06:49:39 UTC
vdr-streamdev-0.3.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vdr-streamdev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8016

Comment 11 Fedora Update System 2008-09-14 06:52:39 UTC
vdr-streamdev-0.3.4-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vdr-streamdev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8049

Comment 12 Fedora Update System 2008-10-01 06:38:47 UTC
vdr-streamdev-0.3.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-10-01 06:41:46 UTC
vdr-streamdev-0.3.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.